/*
 * Copyright (c) 2014 Paul Scherrer Institute. All rights reserved.
 */
package ch.psi.plot;

/**
 *
 */
public abstract class PlotSeries<T extends Plot> {

    volatile boolean updating = false;

    protected PlotSeries() {
        this("");
    }

    protected PlotSeries(String name) {
        setName((name == null) ? "" : name);
    }

    Object token;

    void setToken(Object token) {
        this.token = token;
    }

    public Object getToken() {
        return token;
    }

    private T plot;

    void setPlot(T plot) {
        this.plot = plot;
    }

    public T getPlot() {
        return plot;
    }

    String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void clear(){
        
    }
}
